package com.liquidnet.service.sweet.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.entity.SweetManualNotifyMdsk;

/**
 * <p>
 * 电子宣传手册通知表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-08-09
 */
public interface ISweetManualNotifyMdskService extends IService<SweetManualNotifyMdsk> {
    ResponseDto<PageInfo<SweetManualNotifyMdsk>> getList(Integer page, Integer size, String title, String manualId);

    ResponseDto<Boolean> add(String manualId,String title, String content);

    ResponseDto<SweetManualNotifyMdsk> details(String manualId);

    ResponseDto<Boolean> change(String manualId,String manualNotifyId, String title, String content);

    ResponseDto<Boolean> delete(String manualId);
}
